Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network44.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
44.0.0.0
Broadcast address
44.255.255.255
First usable
44.0.0.1
Last usable
44.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 2C000000 · Integer 738197504 to 754974719
Reverse DNS zone
44.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101100..00000000.00000000.0000000044.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network00101100..00000000.00000000.0000000044.0.0.0
Broadcast00101100..11111111.11111111.1111111144.255.255.255
Split into smaller subnets/19

44.0.0.0/8 makes 2,048 subnets of /19; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
144.0.0.0/1944.0.0.1 to 44.0.31.25444.0.31.2558,190
244.0.32.0/1944.0.32.1 to 44.0.63.25444.0.63.2558,190
344.0.64.0/1944.0.64.1 to 44.0.95.25444.0.95.2558,190
444.0.96.0/1944.0.96.1 to 44.0.127.25444.0.127.2558,190
544.0.128.0/1944.0.128.1 to 44.0.159.25444.0.159.2558,190
644.0.160.0/1944.0.160.1 to 44.0.191.25444.0.191.2558,190
744.0.192.0/1944.0.192.1 to 44.0.223.25444.0.223.2558,190
844.0.224.0/1944.0.224.1 to 44.0.255.25444.0.255.2558,190
944.1.0.0/1944.1.0.1 to 44.1.31.25444.1.31.2558,190
1044.1.32.0/1944.1.32.1 to 44.1.63.25444.1.63.2558,190
1144.1.64.0/1944.1.64.1 to 44.1.95.25444.1.95.2558,190
1244.1.96.0/1944.1.96.1 to 44.1.127.25444.1.127.2558,190
1344.1.128.0/1944.1.128.1 to 44.1.159.25444.1.159.2558,190
1444.1.160.0/1944.1.160.1 to 44.1.191.25444.1.191.2558,190
1544.1.192.0/1944.1.192.1 to 44.1.223.25444.1.223.2558,190
1644.1.224.0/1944.1.224.1 to 44.1.255.25444.1.255.2558,190
1744.2.0.0/1944.2.0.1 to 44.2.31.25444.2.31.2558,190
1844.2.32.0/1944.2.32.1 to 44.2.63.25444.2.63.2558,190
1944.2.64.0/1944.2.64.1 to 44.2.95.25444.2.95.2558,190
2044.2.96.0/1944.2.96.1 to 44.2.127.25444.2.127.2558,190
2144.2.128.0/1944.2.128.1 to 44.2.159.25444.2.159.2558,190
2244.2.160.0/1944.2.160.1 to 44.2.191.25444.2.191.2558,190
2344.2.192.0/1944.2.192.1 to 44.2.223.25444.2.223.2558,190
2444.2.224.0/1944.2.224.1 to 44.2.255.25444.2.255.2558,190
2544.3.0.0/1944.3.0.1 to 44.3.31.25444.3.31.2558,190
2644.3.32.0/1944.3.32.1 to 44.3.63.25444.3.63.2558,190
2744.3.64.0/1944.3.64.1 to 44.3.95.25444.3.95.2558,190
2844.3.96.0/1944.3.96.1 to 44.3.127.25444.3.127.2558,190
2944.3.128.0/1944.3.128.1 to 44.3.159.25444.3.159.2558,190
3044.3.160.0/1944.3.160.1 to 44.3.191.25444.3.191.2558,190
3144.3.192.0/1944.3.192.1 to 44.3.223.25444.3.223.2558,190
3244.3.224.0/1944.3.224.1 to 44.3.255.25444.3.255.2558,190
3344.4.0.0/1944.4.0.1 to 44.4.31.25444.4.31.2558,190
3444.4.32.0/1944.4.32.1 to 44.4.63.25444.4.63.2558,190
3544.4.64.0/1944.4.64.1 to 44.4.95.25444.4.95.2558,190
3644.4.96.0/1944.4.96.1 to 44.4.127.25444.4.127.2558,190
3744.4.128.0/1944.4.128.1 to 44.4.159.25444.4.159.2558,190
3844.4.160.0/1944.4.160.1 to 44.4.191.25444.4.191.2558,190
3944.4.192.0/1944.4.192.1 to 44.4.223.25444.4.223.2558,190
4044.4.224.0/1944.4.224.1 to 44.4.255.25444.4.255.2558,190
4144.5.0.0/1944.5.0.1 to 44.5.31.25444.5.31.2558,190
4244.5.32.0/1944.5.32.1 to 44.5.63.25444.5.63.2558,190
4344.5.64.0/1944.5.64.1 to 44.5.95.25444.5.95.2558,190
4444.5.96.0/1944.5.96.1 to 44.5.127.25444.5.127.2558,190
4544.5.128.0/1944.5.128.1 to 44.5.159.25444.5.159.2558,190
4644.5.160.0/1944.5.160.1 to 44.5.191.25444.5.191.2558,190
4744.5.192.0/1944.5.192.1 to 44.5.223.25444.5.223.2558,190
4844.5.224.0/1944.5.224.1 to 44.5.255.25444.5.255.2558,190
4944.6.0.0/1944.6.0.1 to 44.6.31.25444.6.31.2558,190
5044.6.32.0/1944.6.32.1 to 44.6.63.25444.6.63.2558,190
5144.6.64.0/1944.6.64.1 to 44.6.95.25444.6.95.2558,190
5244.6.96.0/1944.6.96.1 to 44.6.127.25444.6.127.2558,190
5344.6.128.0/1944.6.128.1 to 44.6.159.25444.6.159.2558,190
5444.6.160.0/1944.6.160.1 to 44.6.191.25444.6.191.2558,190
5544.6.192.0/1944.6.192.1 to 44.6.223.25444.6.223.2558,190
5644.6.224.0/1944.6.224.1 to 44.6.255.25444.6.255.2558,190
5744.7.0.0/1944.7.0.1 to 44.7.31.25444.7.31.2558,190
5844.7.32.0/1944.7.32.1 to 44.7.63.25444.7.63.2558,190
5944.7.64.0/1944.7.64.1 to 44.7.95.25444.7.95.2558,190
6044.7.96.0/1944.7.96.1 to 44.7.127.25444.7.127.2558,190
6144.7.128.0/1944.7.128.1 to 44.7.159.25444.7.159.2558,190
6244.7.160.0/1944.7.160.1 to 44.7.191.25444.7.191.2558,190
6344.7.192.0/1944.7.192.1 to 44.7.223.25444.7.223.2558,190
6444.7.224.0/1944.7.224.1 to 44.7.255.25444.7.255.2558,190
6544.8.0.0/1944.8.0.1 to 44.8.31.25444.8.31.2558,190
6644.8.32.0/1944.8.32.1 to 44.8.63.25444.8.63.2558,190
6744.8.64.0/1944.8.64.1 to 44.8.95.25444.8.95.2558,190
6844.8.96.0/1944.8.96.1 to 44.8.127.25444.8.127.2558,190
6944.8.128.0/1944.8.128.1 to 44.8.159.25444.8.159.2558,190
7044.8.160.0/1944.8.160.1 to 44.8.191.25444.8.191.2558,190
7144.8.192.0/1944.8.192.1 to 44.8.223.25444.8.223.2558,190
7244.8.224.0/1944.8.224.1 to 44.8.255.25444.8.255.2558,190
7344.9.0.0/1944.9.0.1 to 44.9.31.25444.9.31.2558,190
7444.9.32.0/1944.9.32.1 to 44.9.63.25444.9.63.2558,190
7544.9.64.0/1944.9.64.1 to 44.9.95.25444.9.95.2558,190
7644.9.96.0/1944.9.96.1 to 44.9.127.25444.9.127.2558,190
7744.9.128.0/1944.9.128.1 to 44.9.159.25444.9.159.2558,190
7844.9.160.0/1944.9.160.1 to 44.9.191.25444.9.191.2558,190
7944.9.192.0/1944.9.192.1 to 44.9.223.25444.9.223.2558,190
8044.9.224.0/1944.9.224.1 to 44.9.255.25444.9.255.2558,190
8144.10.0.0/1944.10.0.1 to 44.10.31.25444.10.31.2558,190
8244.10.32.0/1944.10.32.1 to 44.10.63.25444.10.63.2558,190
8344.10.64.0/1944.10.64.1 to 44.10.95.25444.10.95.2558,190
8444.10.96.0/1944.10.96.1 to 44.10.127.25444.10.127.2558,190
8544.10.128.0/1944.10.128.1 to 44.10.159.25444.10.159.2558,190
8644.10.160.0/1944.10.160.1 to 44.10.191.25444.10.191.2558,190
8744.10.192.0/1944.10.192.1 to 44.10.223.25444.10.223.2558,190
8844.10.224.0/1944.10.224.1 to 44.10.255.25444.10.255.2558,190
8944.11.0.0/1944.11.0.1 to 44.11.31.25444.11.31.2558,190
9044.11.32.0/1944.11.32.1 to 44.11.63.25444.11.63.2558,190
9144.11.64.0/1944.11.64.1 to 44.11.95.25444.11.95.2558,190
9244.11.96.0/1944.11.96.1 to 44.11.127.25444.11.127.2558,190
9344.11.128.0/1944.11.128.1 to 44.11.159.25444.11.159.2558,190
9444.11.160.0/1944.11.160.1 to 44.11.191.25444.11.191.2558,190
9544.11.192.0/1944.11.192.1 to 44.11.223.25444.11.223.2558,190
9644.11.224.0/1944.11.224.1 to 44.11.255.25444.11.255.2558,190
9744.12.0.0/1944.12.0.1 to 44.12.31.25444.12.31.2558,190
9844.12.32.0/1944.12.32.1 to 44.12.63.25444.12.63.2558,190
9944.12.64.0/1944.12.64.1 to 44.12.95.25444.12.95.2558,190
10044.12.96.0/1944.12.96.1 to 44.12.127.25444.12.127.2558,190
10144.12.128.0/1944.12.128.1 to 44.12.159.25444.12.159.2558,190
10244.12.160.0/1944.12.160.1 to 44.12.191.25444.12.191.2558,190
10344.12.192.0/1944.12.192.1 to 44.12.223.25444.12.223.2558,190
10444.12.224.0/1944.12.224.1 to 44.12.255.25444.12.255.2558,190
10544.13.0.0/1944.13.0.1 to 44.13.31.25444.13.31.2558,190
10644.13.32.0/1944.13.32.1 to 44.13.63.25444.13.63.2558,190
10744.13.64.0/1944.13.64.1 to 44.13.95.25444.13.95.2558,190
10844.13.96.0/1944.13.96.1 to 44.13.127.25444.13.127.2558,190
10944.13.128.0/1944.13.128.1 to 44.13.159.25444.13.159.2558,190
11044.13.160.0/1944.13.160.1 to 44.13.191.25444.13.191.2558,190
11144.13.192.0/1944.13.192.1 to 44.13.223.25444.13.223.2558,190
11244.13.224.0/1944.13.224.1 to 44.13.255.25444.13.255.2558,190
11344.14.0.0/1944.14.0.1 to 44.14.31.25444.14.31.2558,190
11444.14.32.0/1944.14.32.1 to 44.14.63.25444.14.63.2558,190
11544.14.64.0/1944.14.64.1 to 44.14.95.25444.14.95.2558,190
11644.14.96.0/1944.14.96.1 to 44.14.127.25444.14.127.2558,190
11744.14.128.0/1944.14.128.1 to 44.14.159.25444.14.159.2558,190
11844.14.160.0/1944.14.160.1 to 44.14.191.25444.14.191.2558,190
11944.14.192.0/1944.14.192.1 to 44.14.223.25444.14.223.2558,190
12044.14.224.0/1944.14.224.1 to 44.14.255.25444.14.255.2558,190
12144.15.0.0/1944.15.0.1 to 44.15.31.25444.15.31.2558,190
12244.15.32.0/1944.15.32.1 to 44.15.63.25444.15.63.2558,190
12344.15.64.0/1944.15.64.1 to 44.15.95.25444.15.95.2558,190
12444.15.96.0/1944.15.96.1 to 44.15.127.25444.15.127.2558,190
12544.15.128.0/1944.15.128.1 to 44.15.159.25444.15.159.2558,190
12644.15.160.0/1944.15.160.1 to 44.15.191.25444.15.191.2558,190
12744.15.192.0/1944.15.192.1 to 44.15.223.25444.15.223.2558,190
12844.15.224.0/1944.15.224.1 to 44.15.255.25444.15.255.2558,190
12944.16.0.0/1944.16.0.1 to 44.16.31.25444.16.31.2558,190
13044.16.32.0/1944.16.32.1 to 44.16.63.25444.16.63.2558,190
13144.16.64.0/1944.16.64.1 to 44.16.95.25444.16.95.2558,190
13244.16.96.0/1944.16.96.1 to 44.16.127.25444.16.127.2558,190
13344.16.128.0/1944.16.128.1 to 44.16.159.25444.16.159.2558,190
13444.16.160.0/1944.16.160.1 to 44.16.191.25444.16.191.2558,190
13544.16.192.0/1944.16.192.1 to 44.16.223.25444.16.223.2558,190
13644.16.224.0/1944.16.224.1 to 44.16.255.25444.16.255.2558,190
13744.17.0.0/1944.17.0.1 to 44.17.31.25444.17.31.2558,190
13844.17.32.0/1944.17.32.1 to 44.17.63.25444.17.63.2558,190
13944.17.64.0/1944.17.64.1 to 44.17.95.25444.17.95.2558,190
14044.17.96.0/1944.17.96.1 to 44.17.127.25444.17.127.2558,190
14144.17.128.0/1944.17.128.1 to 44.17.159.25444.17.159.2558,190
14244.17.160.0/1944.17.160.1 to 44.17.191.25444.17.191.2558,190
14344.17.192.0/1944.17.192.1 to 44.17.223.25444.17.223.2558,190
14444.17.224.0/1944.17.224.1 to 44.17.255.25444.17.255.2558,190
14544.18.0.0/1944.18.0.1 to 44.18.31.25444.18.31.2558,190
14644.18.32.0/1944.18.32.1 to 44.18.63.25444.18.63.2558,190
14744.18.64.0/1944.18.64.1 to 44.18.95.25444.18.95.2558,190
14844.18.96.0/1944.18.96.1 to 44.18.127.25444.18.127.2558,190
14944.18.128.0/1944.18.128.1 to 44.18.159.25444.18.159.2558,190
15044.18.160.0/1944.18.160.1 to 44.18.191.25444.18.191.2558,190
15144.18.192.0/1944.18.192.1 to 44.18.223.25444.18.223.2558,190
15244.18.224.0/1944.18.224.1 to 44.18.255.25444.18.255.2558,190
15344.19.0.0/1944.19.0.1 to 44.19.31.25444.19.31.2558,190
15444.19.32.0/1944.19.32.1 to 44.19.63.25444.19.63.2558,190
15544.19.64.0/1944.19.64.1 to 44.19.95.25444.19.95.2558,190
15644.19.96.0/1944.19.96.1 to 44.19.127.25444.19.127.2558,190
15744.19.128.0/1944.19.128.1 to 44.19.159.25444.19.159.2558,190
15844.19.160.0/1944.19.160.1 to 44.19.191.25444.19.191.2558,190
15944.19.192.0/1944.19.192.1 to 44.19.223.25444.19.223.2558,190
16044.19.224.0/1944.19.224.1 to 44.19.255.25444.19.255.2558,190
16144.20.0.0/1944.20.0.1 to 44.20.31.25444.20.31.2558,190
16244.20.32.0/1944.20.32.1 to 44.20.63.25444.20.63.2558,190
16344.20.64.0/1944.20.64.1 to 44.20.95.25444.20.95.2558,190
16444.20.96.0/1944.20.96.1 to 44.20.127.25444.20.127.2558,190
16544.20.128.0/1944.20.128.1 to 44.20.159.25444.20.159.2558,190
16644.20.160.0/1944.20.160.1 to 44.20.191.25444.20.191.2558,190
16744.20.192.0/1944.20.192.1 to 44.20.223.25444.20.223.2558,190
16844.20.224.0/1944.20.224.1 to 44.20.255.25444.20.255.2558,190
16944.21.0.0/1944.21.0.1 to 44.21.31.25444.21.31.2558,190
17044.21.32.0/1944.21.32.1 to 44.21.63.25444.21.63.2558,190
17144.21.64.0/1944.21.64.1 to 44.21.95.25444.21.95.2558,190
17244.21.96.0/1944.21.96.1 to 44.21.127.25444.21.127.2558,190
17344.21.128.0/1944.21.128.1 to 44.21.159.25444.21.159.2558,190
17444.21.160.0/1944.21.160.1 to 44.21.191.25444.21.191.2558,190
17544.21.192.0/1944.21.192.1 to 44.21.223.25444.21.223.2558,190
17644.21.224.0/1944.21.224.1 to 44.21.255.25444.21.255.2558,190
17744.22.0.0/1944.22.0.1 to 44.22.31.25444.22.31.2558,190
17844.22.32.0/1944.22.32.1 to 44.22.63.25444.22.63.2558,190
17944.22.64.0/1944.22.64.1 to 44.22.95.25444.22.95.2558,190
18044.22.96.0/1944.22.96.1 to 44.22.127.25444.22.127.2558,190
18144.22.128.0/1944.22.128.1 to 44.22.159.25444.22.159.2558,190
18244.22.160.0/1944.22.160.1 to 44.22.191.25444.22.191.2558,190
18344.22.192.0/1944.22.192.1 to 44.22.223.25444.22.223.2558,190
18444.22.224.0/1944.22.224.1 to 44.22.255.25444.22.255.2558,190
18544.23.0.0/1944.23.0.1 to 44.23.31.25444.23.31.2558,190
18644.23.32.0/1944.23.32.1 to 44.23.63.25444.23.63.2558,190
18744.23.64.0/1944.23.64.1 to 44.23.95.25444.23.95.2558,190
18844.23.96.0/1944.23.96.1 to 44.23.127.25444.23.127.2558,190
18944.23.128.0/1944.23.128.1 to 44.23.159.25444.23.159.2558,190
19044.23.160.0/1944.23.160.1 to 44.23.191.25444.23.191.2558,190
19144.23.192.0/1944.23.192.1 to 44.23.223.25444.23.223.2558,190
19244.23.224.0/1944.23.224.1 to 44.23.255.25444.23.255.2558,190
19344.24.0.0/1944.24.0.1 to 44.24.31.25444.24.31.2558,190
19444.24.32.0/1944.24.32.1 to 44.24.63.25444.24.63.2558,190
19544.24.64.0/1944.24.64.1 to 44.24.95.25444.24.95.2558,190
19644.24.96.0/1944.24.96.1 to 44.24.127.25444.24.127.2558,190
19744.24.128.0/1944.24.128.1 to 44.24.159.25444.24.159.2558,190
19844.24.160.0/1944.24.160.1 to 44.24.191.25444.24.191.2558,190
19944.24.192.0/1944.24.192.1 to 44.24.223.25444.24.223.2558,190
20044.24.224.0/1944.24.224.1 to 44.24.255.25444.24.255.2558,190
20144.25.0.0/1944.25.0.1 to 44.25.31.25444.25.31.2558,190
20244.25.32.0/1944.25.32.1 to 44.25.63.25444.25.63.2558,190
20344.25.64.0/1944.25.64.1 to 44.25.95.25444.25.95.2558,190
20444.25.96.0/1944.25.96.1 to 44.25.127.25444.25.127.2558,190
20544.25.128.0/1944.25.128.1 to 44.25.159.25444.25.159.2558,190
20644.25.160.0/1944.25.160.1 to 44.25.191.25444.25.191.2558,190
20744.25.192.0/1944.25.192.1 to 44.25.223.25444.25.223.2558,190
20844.25.224.0/1944.25.224.1 to 44.25.255.25444.25.255.2558,190
20944.26.0.0/1944.26.0.1 to 44.26.31.25444.26.31.2558,190
21044.26.32.0/1944.26.32.1 to 44.26.63.25444.26.63.2558,190
21144.26.64.0/1944.26.64.1 to 44.26.95.25444.26.95.2558,190
21244.26.96.0/1944.26.96.1 to 44.26.127.25444.26.127.2558,190
21344.26.128.0/1944.26.128.1 to 44.26.159.25444.26.159.2558,190
21444.26.160.0/1944.26.160.1 to 44.26.191.25444.26.191.2558,190
21544.26.192.0/1944.26.192.1 to 44.26.223.25444.26.223.2558,190
21644.26.224.0/1944.26.224.1 to 44.26.255.25444.26.255.2558,190
21744.27.0.0/1944.27.0.1 to 44.27.31.25444.27.31.2558,190
21844.27.32.0/1944.27.32.1 to 44.27.63.25444.27.63.2558,190
21944.27.64.0/1944.27.64.1 to 44.27.95.25444.27.95.2558,190
22044.27.96.0/1944.27.96.1 to 44.27.127.25444.27.127.2558,190
22144.27.128.0/1944.27.128.1 to 44.27.159.25444.27.159.2558,190
22244.27.160.0/1944.27.160.1 to 44.27.191.25444.27.191.2558,190
22344.27.192.0/1944.27.192.1 to 44.27.223.25444.27.223.2558,190
22444.27.224.0/1944.27.224.1 to 44.27.255.25444.27.255.2558,190
22544.28.0.0/1944.28.0.1 to 44.28.31.25444.28.31.2558,190
22644.28.32.0/1944.28.32.1 to 44.28.63.25444.28.63.2558,190
22744.28.64.0/1944.28.64.1 to 44.28.95.25444.28.95.2558,190
22844.28.96.0/1944.28.96.1 to 44.28.127.25444.28.127.2558,190
22944.28.128.0/1944.28.128.1 to 44.28.159.25444.28.159.2558,190
23044.28.160.0/1944.28.160.1 to 44.28.191.25444.28.191.2558,190
23144.28.192.0/1944.28.192.1 to 44.28.223.25444.28.223.2558,190
23244.28.224.0/1944.28.224.1 to 44.28.255.25444.28.255.2558,190
23344.29.0.0/1944.29.0.1 to 44.29.31.25444.29.31.2558,190
23444.29.32.0/1944.29.32.1 to 44.29.63.25444.29.63.2558,190
23544.29.64.0/1944.29.64.1 to 44.29.95.25444.29.95.2558,190
23644.29.96.0/1944.29.96.1 to 44.29.127.25444.29.127.2558,190
23744.29.128.0/1944.29.128.1 to 44.29.159.25444.29.159.2558,190
23844.29.160.0/1944.29.160.1 to 44.29.191.25444.29.191.2558,190
23944.29.192.0/1944.29.192.1 to 44.29.223.25444.29.223.2558,190
24044.29.224.0/1944.29.224.1 to 44.29.255.25444.29.255.2558,190
24144.30.0.0/1944.30.0.1 to 44.30.31.25444.30.31.2558,190
24244.30.32.0/1944.30.32.1 to 44.30.63.25444.30.63.2558,190
24344.30.64.0/1944.30.64.1 to 44.30.95.25444.30.95.2558,190
24444.30.96.0/1944.30.96.1 to 44.30.127.25444.30.127.2558,190
24544.30.128.0/1944.30.128.1 to 44.30.159.25444.30.159.2558,190
24644.30.160.0/1944.30.160.1 to 44.30.191.25444.30.191.2558,190
24744.30.192.0/1944.30.192.1 to 44.30.223.25444.30.223.2558,190
24844.30.224.0/1944.30.224.1 to 44.30.255.25444.30.255.2558,190
24944.31.0.0/1944.31.0.1 to 44.31.31.25444.31.31.2558,190
25044.31.32.0/1944.31.32.1 to 44.31.63.25444.31.63.2558,190
25144.31.64.0/1944.31.64.1 to 44.31.95.25444.31.95.2558,190
25244.31.96.0/1944.31.96.1 to 44.31.127.25444.31.127.2558,190
25344.31.128.0/1944.31.128.1 to 44.31.159.25444.31.159.2558,190
25444.31.160.0/1944.31.160.1 to 44.31.191.25444.31.191.2558,190
25544.31.192.0/1944.31.192.1 to 44.31.223.25444.31.223.2558,190
25644.31.224.0/1944.31.224.1 to 44.31.255.25444.31.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses